From 6bbcf579082ce1533d9c543838541b55fad18cb9 Mon Sep 17 00:00:00 2001
From: Pranab Das <31024886+pranabdas@users.noreply.github.com>
Date: Tue, 12 Mar 2024 22:04:03 +0800
Subject: [PATCH 13/19] SOF-6927: fix atomSymbolsWithLabels

---
 src/context/providers/espresso/providers.js | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/src/context/providers/espresso/providers.js b/src/context/providers/espresso/providers.js
index a945913..0f4ebf4 100644
--- a/src/context/providers/espresso/providers.js
+++ b/src/context/providers/espresso/providers.js
@@ -30,9 +30,10 @@ export class QEPWXContextProvider extends mix(ExecutableContextProvider).with(
     }
 
     static atomSymbolsWithLabels(material) {
-        const elm = material.Basis.elementsArray;
+        const symbols = material.Basis.elementsArray;
         const labels = material.Basis.atomicLabelsArray;
-        const elmWithLabel = elm.map((label, idx) => label + labels[idx]);
+        const elmWithLabel = [];
+        symbols.forEach((symbol, idx) => elmWithLabel.push(symbol + labels[idx]));
 
         // return unique items
         return [...new Set(elmWithLabel)];

